GetModel - GET
|
Path |
/api/projects/{projectId}/model |
|---|---|
|
Http Method |
GET |
Overview
Retrieve and search through a list of model entities. Includes an option to choose between entity types to include. Hubs, links, satellites and reference tables.
Optionally includes positions of entities on the model graph.
If no filters are selected, all entities are returned / searched through.
Required permissions
-
Read access to the Build module. BUILD READ
Request
Query parameters
|
Parameter |
Type |
Required |
Default |
Description |
Example |
|---|---|---|---|---|---|
|
searchString |
string |
No |
|
Return entities that have this string in their name. Case insensitive. |
Employee |
|
includeHubs |
bool |
No |
true |
Include hubs in the list of entities. |
true |
|
includeLinks |
bool |
No |
true |
Include links in the list of entities. |
false |
|
includeSatellites |
bool |
No |
true |
Include satellites in the list of entities. |
true |
|
includeReferenceTables |
bool |
No |
true |
Include reference tables in the list of entities. |
false |
|
includeDiagramPositions |
bool |
No |
false |
Include positions as part of the entities. |
true |
Response
Success response (200 OK)
{
"_embedded": {
"entities": [
{
"diagramPosition": {
"x": -200,
"y": 90
},
"id": "8938d79d-5cfb-427a-a4f1-4296dacdff1e",
"name": "color_ref",
"entityType": "ReferenceTable",
"tableName": "ref.color_ref",
"mappingCount": 1,
"mappings": [
{
"id": "42213f4e1760475ca8271b63a993b1a7",
"datapackageTableId": "b27526087e1241bc9b654dee38bdfaf0",
"datapackageId": "d7d5c678-be2e-4ff9-b4d6-a2e6d40c37f9",
"sourceSystemId": "e605eb83-d483-4738-a56f-f5b848f2f54d"
}
]
},
{
"businessKey": {
"id": "d8b031a6-6324-4c73-9624-ed929dd170d0",
"name": "bk",
"type": "String",
"length": 255
},
"ignoreBusinessKeyCase": true,
"satelliteCount": 1,
"dependentLinkCount": 1,
"diagramPosition": {
"x": -360,
"y": -60
},
"id": "f81e889e-4d64-405f-bf3c-9ac317fb046c",
"name": "Employee",
"entityType": "Hub",
"tableName": "dv.h_Employee",
"mappingCount": 3,
"mappings": [
{
"id": "2c91e562d9184b8697b6813e4e88e847",
"datapackageTableId": "b27526087e1241bc9b654dee38bdfaf0",
"datapackageId": "d7d5c678-be2e-4ff9-b4d6-a2e6d40c37f9",
"sourceSystemId": "e605eb83-d483-4738-a56f-f5b848f2f54d"
}
]
},
{
"parentType": "Hub",
"parentId": "f81e889e-4d64-405f-bf3c-9ac317fb046c",
"isMultiActive": false,
"diagramPosition": {
"x": -550,
"y": 20
},
"id": "b0fb8107-f479-4a3a-a0fb-d37057c3ec20",
"name": "Employee_info",
"entityType": "Satellite",
"businessDescription": "",
"technicalDescription": "",
"tableName": "dv.sh_Employee_info",
"mappingCount": 1,
"mappings": [
{
"id": "307fc50671104dcdbeb4392579d3fda4",
"datapackageTableId": "b27526087e1241bc9b654dee38bdfaf0",
"datapackageId": "d7d5c678-be2e-4ff9-b4d6-a2e6d40c37f9",
"sourceSystemId": "e605eb83-d483-4738-a56f-f5b848f2f54d"
}
]
},
{
"_embedded": {
"hubReferences": {
"_embedded": {
"hubReferences": [
{
"_embedded": {
"hub": {
"businessKey": {
"id": "46ca835d-2394-4dd4-a1e7-ee1610d2b174",
"name": "bk",
"type": "String",
"length": 255
},
"ignoreBusinessKeyCase": true,
"satelliteCount": 1,
"dependentLinkCount": 1,
"diagramPosition": {
"x": 110,
"y": -40
},
"id": "1d21d08f-1ede-4c24-8e58-3b0b982fdefb",
"name": "Team",
"entityType": "Hub",
"tableName": "dv.h_Team",
"mappingCount": 3,
"mappings": [
{
"id": "36282bc247f84621826bba96e3c9696e",
"datapackageTableId": "3383750542144295a20e3a9f4a0ac89d",
"datapackageId": "d7d5c678-be2e-4ff9-b4d6-a2e6d40c37f9",
"sourceSystemId": "e605eb83-d483-4738-a56f-f5b848f2f54d"
}
]
}
},
"id": "cc3f3682-350b-481c-97de-31915260bbbf",
"columnName": "TeamRef",
"order": 2,
"hubId": "1d21d08f-1ede-4c24-8e58-3b0b982fdefb",
"linkId": "e8685add-3f16-45fa-8ea3-ad5543a81f3a"
}
]
},
"sort": [],
"index": 0,
"limit": 2,
"expand": [
"hub"
],
"total": 2
}
},
"id": "e8685add-3f16-45fa-8ea3-ad5543a81f3a",
"name": "EmployeeTeam",
"linkType": "Relationship",
"entityType": "Link",
"dependentChildColumns": [
{
"id": "a2cbf190-cc8b-4e0f-aec3-0631005d5b43",
"columnName": "role",
"dataType": "String",
"length": 255,
"typeFullName": "VARCHAR(255)"
}
],
"tableName": "dv.l_EmployeeTeam",
"satelliteCount": 0,
"mappingCount": 1,
"mappings": [
{
"id": "7a20ce25659d4a7c99e898ba6333bd2a",
"datapackageTableId": "2ff90de59dab4c41b6499ab34ff5d739",
"datapackageId": "d7d5c678-be2e-4ff9-b4d6-a2e6d40c37f9",
"sourceSystemId": "e605eb83-d483-4738-a56f-f5b848f2f54d"
}
],
"diagramPosition": {
"x": -140,
"y": -70
}
},
{
"parentType": "Hub",
"parentId": "1d21d08f-1ede-4c24-8e58-3b0b982fdefb",
"isMultiActive": false,
"diagramPosition": {
"x": 80,
"y": 100
},
"id": "778f0882-fc72-413e-b0df-723c51c2372b",
"name": "Team_info",
"entityType": "Satellite",
"businessDescription": "",
"technicalDescription": "",
"tableName": "dv.sh_Team_info",
"mappingCount": 1,
"mappings": [
{
"id": "e3cd4c75f4744a6f9cbc77c23d237225",
"datapackageTableId": "3383750542144295a20e3a9f4a0ac89d",
"datapackageId": "d7d5c678-be2e-4ff9-b4d6-a2e6d40c37f9",
"sourceSystemId": "e605eb83-d483-4738-a56f-f5b848f2f54d"
}
]
}
]
},
"sort": [],
"index": 0,
"limit": 10,
"expand": [],
"total": 5
}